Summary: Utilities for manipulating .desktop files
Name: desktop-file-utils
Version: 0.26
Release: 4%{?dist}
License: GPLv2+
URL: https://www.freedesktop.org/software/desktop-file-utils
Source0: https://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Source1: desktop-entry-mode-init.el

BuildRequires: meson gcc
BuildRequires: glib2-devel
BuildRequires: emacs
Requires: emacs-filesystem

%description
This package provides desktop-file-validate and desktop-file-install.

.desktop files are used to describe an application for inclusion in GNOME or KDE menus.  
Desktop-file-validate checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/. 
Desktop-file-install installs a desktop file to the standard directory, optionally
fixing it up in the process.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_emacs_sitelispdir}/desktop-file-utils
mv %{buildroot}%{_emacs_sitelispdir}/*.el* %{buildroot}%{_emacs_sitelispdir}/desktop-file-utils
install -Dpm 644 %{SOURCE1} %{buildroot}%{_emacs_sitestartdir}/desktop-entry-mode-init.el
touch %{buildroot}%{_emacs_sitestartdir}/desktop-entry-mode-init.elc

%transfiletriggerin -- %{_datadir}/applications
update-desktop-database &> /dev/null || :

%transfiletriggerpostun -- %{_datadir}/applications
update-desktop-database &> /dev/null || :

%files
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/*
%ghost %{_emacs_sitestartdir}/desktop-entry-mode-init.elc
%{_emacs_sitestartdir}/desktop-entry-mode-init.el
%{_emacs_sitelispdir}/desktop-file-utils/
%{_mandir}/man1/desktop-file-install.1*
%{_mandir}/man1/desktop-file-validate.1*
%{_mandir}/man1/update-desktop-database.1*
%{_mandir}/man1/desktop-file-edit.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Wang Guodong <gordonwwang@tencent.com> - 0.26-1
- package init.
